#
# spec file for package python-pyalsaaudio
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-pyalsaaudio
Version:        0.8.4
Release:        lp152.3.2
Summary:        ALSA bindings for Python
License:        Python-2.0
Group:          Development/Languages/Python
Url:            http://larsimmisch.github.io/pyalsaaudio/
Source:         https://files.pythonhosted.org/packages/source/p/pyalsaaudio/pyalsaaudio-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  alsa-devel
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros

%python_subpackages

%description
This package contains wrappers for accessing the ALSA API from Python.
It is fairly complete for PCM devices and Mixer access.

%prep
%setup -q -n pyalsaaudio-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{python_sitearch}/*

%changelog
* Wed Oct 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 0.8.4
  * See changelog at https://github.com/larsimmisch/pyalsaaudio/blob/0.8.4/CHANGES
* Mon Feb 13 2017 trcs@gmx.com
- specfile:
  * applied spec-cleaner
  * changed to https for source url
  * updated source url to files.pythonhosted.org
- splitted doc subpackage
- update to version 0.8.2:
  * fix #3 (we cannot get the revision from git for pip installs)
- changes from version 0.8.1:
  * document changes (this file)
- changes from version 0.8:
  * 'PCM()' has new 'device' and 'cardindex' keyword arguments.
    + The keyword 'device' allows to select virtual devices,
    'cardindex' can be used to select hardware cards by index (as
    with 'mixers()' and 'Mixer()').
    + The 'card' keyword argument is still supported, but deprecated.
    + The reason for this change is that the 'card' keyword argument
    guessed a device name from the card name, but this only works
    sometimes, and breaks opening virtual devices.
  * new function 'pcms()' to list available PCM devices.
  * mixers() and Mixer() take an additional 'device' keyword argument.
    This allows to list or open virtual devices.
  * The default behaviour of Mixer() without any arguments has
    changed.  Now Mixer() will try to open the 'default' Mixer instead
    of the Mixer that is associated with card 0.
  * fix a memory leak under Python 3.x
  * some more memory leaks in error conditions fixed.
* Sun Jan 13 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Sep  2 2011 saschpe@suse.de
- Initial version
